Skip to content

Trigger run the DWH Integration workflow.

Request

Security
apiKey
Path
dwh_idinteger, (int64)required

The ID of the DWH Integration.

curl -i -X PUT \
  'https://dwh-integration-api.treasuredata.com/v1/dwh/{dwh_id}/run_workflow' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

See the response of GET /api/attempts https://docs.digdag.io/api/ for more info

Bodyapplication/json
statusstring
idstring
indexinteger
projectobject
workflowobject
sessionIdstring
sessionUuidstring
sessionTimestring, (date-time)
retryAttemptNamestring
doneboolean
successboolean
cancelRequestedboolean
createdAtstring, (date-time)
finishedAtstring, (date-time)
Response
{ "status": "string", "id": "string", "index": 0, "project": { "id": "string", "name": "string" }, "workflow": { "name": "string", "id": "string" }, "sessionId": "string", "sessionUuid": "string", "sessionTime": "2019-08-24T14:15:22Z", "retryAttemptName": "string", "done": true, "success": true, "cancelRequested": true, "createdAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" }